#skip !0 testenv UDM_TEST_ROOT
#skip !0 testenv UDM_TEST_DIR
#skip !0 testenv UDM_TEST_DBADDR0
#skip !0 testenv UDM_SHARE_DIR
#skip !0 testenv INDEXER
skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer.conf 1>&2

#
# Index into DBMode=single
#
fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl -v6  $(UDM_TEST_DIR)/indexer.conf 1>&2
# Check "Inverted word index not found" message
fail !0 exec $(SEARCHSTD)   this > $(UDM_TEST_DIR)/searchni.rej
fail !0 mdiff $(UDM_TEST_DIR)/searchni.res $(UDM_TEST_DIR)/searchni.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/searchni.rej
# Convert DBMode=signle to DBMode=blob
fail !0 exec $(INDEXER) --index  -v6  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --wordstat $(UDM_TEST_DIR)/indexer.conf 1>&2

# Testing the content of "bdict" after conversion from DBMode=single
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/bdict.sql > $(UDM_TEST_DIR)/bdict.rej
fail !0 mdiff $(UDM_TEST_DIR)/bdict.res $(UDM_TEST_DIR)/bdict.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/bdict.rej

fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/query.tst > $(UDM_TEST_DIR)/query.rej
fail !0 mdiff $(UDM_TEST_DIR)/query.res $(UDM_TEST_DIR)/query.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej

# Test for searches DBMode=blob converted from DBMode=single
fail !0 exec $(SEARCHSTD) this > $(UDM_TEST_DIR)/search1.rej
fail !0 exec $(SEARCHSTD) "this+is" >> $(UDM_TEST_DIR)/search1.rej
fail !0 exec $(SEARCHSTD) "this&m=any" >> $(UDM_TEST_DIR)/search1.rej
fail !0 exec $(SEARCHSTD) "this&ul=test1.html" >> $(UDM_TEST_DIR)/search1.rej
fail !0 exec $(SEARCHSTD) "this&fl=test1"  >> $(UDM_TEST_DIR)/search1.rej
fail !0 exec $(SEARCHSTD) "this&fl=-test1" >> $(UDM_TEST_DIR)/search1.rej
# Search documents modified before 2003-12-01
fail !0 exec $(SEARCHSTD) "this&dstmp=1070222400&dt=er&dx=-1" >> $(UDM_TEST_DIR)/search1.rej
fail !0 exec $(SEARCHSTD) "this&DateFactor=100" >> $(UDM_TEST_DIR)/search1.rej
fail !0 exec $(SEARCHSTD) "this&us=score1&UserScoreFactor=255" >> $(UDM_TEST_DIR)/search1.rej
fail !0 exec $(SEARCHSTD) "this&us=score2&UserScoreFactor=255" >> $(UDM_TEST_DIR)/search1.rej
fail !0 exec $(SEARCHSTD) "nonexistent+xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search1.rej
fail !0 exec $(SEARCHSTD) "this+xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search1.rej
fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search1.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search1.rej
fail 20 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer.conf 1>&2

# Crawl with DBMode=blob
skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer-blob.conf 1>&2
fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer-blob.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer-blob.conf 1>&2
fail !0 exec $(INDEXER) --crawl -v6  $(UDM_TEST_DIR)/indexer-blob.conf 1>&2

# Test for searches for DBMode=rawblob (without running "indexer --index")
fail !0 exec $(SEARCHSTD) "this&dbmode=rawblob" > $(UDM_TEST_DIR)/search.rej2
fail !0 exec $(SEARCHSTD) "this+is&dbmode=rawblob" >> $(UDM_TEST_DIR)/search.rej2
fail !0 exec $(SEARCHSTD) "this&dbmode=rawblob&m=any" >> $(UDM_TEST_DIR)/search.rej2
fail !0 exec $(SEARCHSTD) "this&dbmode=rawblob&ul=test1.html" >> $(UDM_TEST_DIR)/search.rej2
fail !0 exec $(SEARCHSTD) "this&dbmode=rawblob&ul=test1" >> $(UDM_TEST_DIR)/search.rej2
fail !0 exec $(SEARCHSTD) "this&dbmode=rawblob&ue=test1" >> $(UDM_TEST_DIR)/search.rej2
fail !0 exec $(SEARCHSTD) "this&dbmode=rawblob&dstmp=1070222400&dt=er&dx=-1" >> $(UDM_TEST_DIR)/search.rej2
fail !0 exec $(SEARCHSTD) "this&dbmode=rawblob&DateFactor=100" >> $(UDM_TEST_DIR)/search.rej2
fail !0 exec $(SEARCHSTD) "this&dbmode=rawblob&us=score1&UserScoreFactor=255" >> $(UDM_TEST_DIR)/search.rej2
fail !0 exec $(SEARCHSTD) "this&dbmode=rawblob&us=score2&UserScoreFactor=255" >> $(UDM_TEST_DIR)/search.rej2
fail !0 exec $(SEARCHSTD) "nonexistent+xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx&dbmode=rawblob" >> $(UDM_TEST_DIR)/search.rej2
fail !0 exec $(SEARCHSTD) "this+xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx&dbmode=rawblob" >> $(UDM_TEST_DIR)/search.rej2
fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search.rej2
fail !0 exec rm -f $(UDM_TEST_DIR)/search.rej2

# Test for searches for DBMode=blob&LiveUpdates=yes (before running "indexer --index")
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes" > $(UDM_TEST_DIR)/search.rej3
fail !0 exec $(SEARCHSTD) "this+is&LiveUpdates=yes" >> $(UDM_TEST_DIR)/search.rej3
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes&m=any" >> $(UDM_TEST_DIR)/search.rej3
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes&ul=test1.html" >> $(UDM_TEST_DIR)/search.rej3
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes&ul=test1" >> $(UDM_TEST_DIR)/search.rej3
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes&ue=test1" >> $(UDM_TEST_DIR)/search.rej3
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes&dstmp=1070222400&dt=er&dx=-1" >> $(UDM_TEST_DIR)/search.rej3
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes&DateFactor=100" >> $(UDM_TEST_DIR)/search.rej3
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes&us=score1&UserScoreFactor=255" >> $(UDM_TEST_DIR)/search.rej3
fail !0 exec $(SEARCHSTD) "this&&LiveUpdates=yes&us=score2&UserScoreFactor=255" >> $(UDM_TEST_DIR)/search.rej3
fail !0 exec $(SEARCHSTD) "nonexistent+xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx&LiveUpdates=yes" >> $(UDM_TEST_DIR)/search.rej3
fail !0 exec $(SEARCHSTD) "this+xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx&LiveUpdates=yes" >> $(UDM_TEST_DIR)/search.rej3
fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search.rej3
fail !0 exec rm -f $(UDM_TEST_DIR)/search.rej3

# Create index for DBMode=blob
fail !0 exec $(INDEXER) --index   $(UDM_TEST_DIR)/indexer-blob.conf 1>&2

# Testing the content of "bdict" after conversion from DBMode=blob
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/bdict.sql > $(UDM_TEST_DIR)/bdict2.rej
fail !0 mdiff $(UDM_TEST_DIR)/bdict.res $(UDM_TEST_DIR)/bdict2.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/bdict2.rej

# Test for searches for DBMode=blob converted from DBMode=blob

fail !0 exec $(SEARCHSTD) this > $(UDM_TEST_DIR)/search.rej4
fail !0 exec $(SEARCHSTD) "this+is" >> $(UDM_TEST_DIR)/search.rej4
fail !0 exec $(SEARCHSTD) "this&m=any" >> $(UDM_TEST_DIR)/search.rej4
fail !0 exec $(SEARCHSTD) "this&ul=test1.html" >> $(UDM_TEST_DIR)/search.rej4
fail !0 exec $(SEARCHSTD) "this&fl=test1" >> $(UDM_TEST_DIR)/search.rej4
fail !0 exec $(SEARCHSTD) "this&fl=-test1" >> $(UDM_TEST_DIR)/search.rej4
fail !0 exec $(SEARCHSTD) "this&dstmp=1070222400&dt=er&dx=-1" >> $(UDM_TEST_DIR)/search.rej4
fail !0 exec $(SEARCHSTD) "this&DateFactor=100" >> $(UDM_TEST_DIR)/search.rej4
fail !0 exec $(SEARCHSTD) "this&us=score1cached&UserScoreFactor=255" >> $(UDM_TEST_DIR)/search.rej4
fail !0 exec $(SEARCHSTD) "this&us=score2cached&UserScoreFactor=255" >> $(UDM_TEST_DIR)/search.rej4
fail !0 exec $(SEARCHSTD) "nonexistent+xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search.rej4
fail !0 exec $(SEARCHSTD) "this+xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search.rej4
fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search.rej4
fail !0 exec rm -f $(UDM_TEST_DIR)/search.rej4

# Reindex everything
fail !0 exec $(INDEXER) -am   $(UDM_TEST_DIR)/indexer-blob.conf 1>&2

# Test for searches for DBMode=blob&LiveUpdates=yes,
# after running "indexer --index" and then "indexer -am"
# Now we have two copies of each document:
# "bdict"  - converted copy
# "bdicti" - updated copy
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes" > $(UDM_TEST_DIR)/search.rej5
fail !0 exec $(SEARCHSTD) "this+is&LiveUpdates=yes" >> $(UDM_TEST_DIR)/search.rej5
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes&m=any" >> $(UDM_TEST_DIR)/search.rej5
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes&ul=test1.html" >> $(UDM_TEST_DIR)/search.rej5
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes&ul=test1" >> $(UDM_TEST_DIR)/search.rej5
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes&ue=test1" >> $(UDM_TEST_DIR)/search.rej5
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes&dstmp=1070222400&dt=er&dx=-1" >> $(UDM_TEST_DIR)/search.rej5
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes&DateFactor=100" >> $(UDM_TEST_DIR)/search.rej5
fail !0 exec $(SEARCHSTD) "this&LiveUpdates=yes&us=score1&UserScoreFactor=255" >> $(UDM_TEST_DIR)/search.rej5
fail !0 exec $(SEARCHSTD) "this&&LiveUpdates=yes&us=score2&UserScoreFactor=255" >> $(UDM_TEST_DIR)/search.rej5
fail !0 exec $(SEARCHSTD) "nonexistent+xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx&LiveUpdates=yes" >> $(UDM_TEST_DIR)/search.rej5
fail !0 exec $(SEARCHSTD) "this+xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx&LiveUpdates=yes" >> $(UDM_TEST_DIR)/search.rej5
fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search.rej5
fail !0 exec rm -f $(UDM_TEST_DIR)/search.rej5

# Bug#1741 "indexer.conf --index -t tag" fails with error Unknown table 's'...
fail !0 exec $(INDEXER) --index -t tag1  $(UDM_TEST_DIR)/indexer-blob.conf 1>&2

# Test with limit
fail !0 exec $(INDEXER) --index -u "%test1%" $(UDM_TEST_DIR)/indexer-blob.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/query.tst > $(UDM_TEST_DIR)/query-u.rej
fail !0 mdiff $(UDM_TEST_DIR)/query-u.res $(UDM_TEST_DIR)/query-u.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/query-u.rej

pass 0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer-blob.conf 1>&2
