skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer.conf 1>&2

fail 20 exec $(INDEXER) --drop        $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --create      $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl  -v 6 $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/query.tst > $(UDM_TEST_DIR)/query.rej
fail !0 mdiff $(UDM_TEST_DIR)/query.rej $(UDM_TEST_DIR)/query.res
fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej

# Run search with "urlinfo" records
fail !0 exec $(SEARCHSTD) "title|good&bcs=koi8-r&dbmode=single" >  $(UDM_TEST_DIR)/search1.rej
fail !0 exec $(SEARCHSTD) "title|good&bcs=utf-8&dbmode=single" >> $(UDM_TEST_DIR)/search1.rej
fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search1.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search1.rej

# Modify the title value in "urlinfo" and run search
# Should display the modified value
fail !0 exec $(INDEXER) -v0 --exec="UPDATE urlinfo SET sval='New title' WHERE sname='title' AND sval LIKE 'This is%'"
fail !0 exec $(SEARCHSTD) "title|good&bcs=koi8-r&dbmode=single" >  $(UDM_TEST_DIR)/search2.rej
fail !0 exec $(SEARCHSTD) "title|good&bcs=utf-8&dbmode=single" >> $(UDM_TEST_DIR)/search2.rej
fail !0 mdiff $(UDM_TEST_DIR)/search2.res $(UDM_TEST_DIR)/search2.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search2.rej

fail !0 exec $(INDEXER) -v0 --exec="DELETE FROM urlinfo"

# Run search without "urlinfo" records
# search.cgi should create them from cached copy.
fail !0 exec $(SEARCHSTD) "title|good&bcs=koi8-r&dbmode=single" >  $(UDM_TEST_DIR)/search3.rej
fail !0 exec $(SEARCHSTD) "title|good&bcs=utf-8&dbmode=single" >> $(UDM_TEST_DIR)/search3.rej
fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search3.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search3.rej

fail !0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer.conf 1>&2

# Run with DBMode=blob
fail !0 exec $(INDEXER) --create      $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(INDEXER) --crawl  -v 6 $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(INDEXER) --index  -v 6 $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(SEARCHSTD) "title|good&bcs=koi8-r&dbmode=blob" >  $(UDM_TEST_DIR)/search4.rej
fail !0 exec $(SEARCHSTD) "title|good&bcs=utf-8&dbmode=blob" >> $(UDM_TEST_DIR)/search4.rej
fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search4.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search4.rej
pass 0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer2.conf 1>&2
