# "found" is a keyword in MonetDB
skip 0 substrenv UDM_TEST_DBADDR0 monetdb://

skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer.conf 1>&2

fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) -R       $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/query.tst > $(UDM_TEST_DIR)/query.rej
fail !0 mdiff $(UDM_TEST_DIR)/query.rej $(UDM_TEST_DIR)/query.res
fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej

# Check ispell in hashed format
fail !0 exec $(INDEXER) --hashspell
fail !0 exec $(SEARCHSTD) "color&sy=0&sp=1&s=u&wfw=0&localconf=search1.conf"  >  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "colour&sy=0&sp=1&s=u&wfw=0&localconf=search1.conf" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec rm  $(UDM_TEST_DIR)/american.xlg.msp
fail !0 exec rm  $(UDM_TEST_DIR)/british.xlg.msp

# Check ispell in text format
fail !0 exec $(SEARCHSTD) "color&sy=0&sp=0&s=u&wfw=0"  >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "colour&sy=0&sp=0&s=u&wfw=0" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "color&sy=1&sp=0&s=u&wfw=0"  >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "colour&sy=1&sp=0&s=u&wfw=0" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "color&sy=0&sp=1&s=u&wfw=0"  >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "colour&sy=0&sp=1&s=u&wfw=0" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "color&sy=1&sp=1&s=u&wfw=0"  >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "colour&sy=1&sp=1&s=u&wfw=0" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "color&sy=1&sp=1&s=u&wfw=255"  >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "colour&sy=1&sp=1&s=u&wfw=255" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "rgb&wfw=0"  >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "rg&wfw=0"   >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "gb&wfw=0"   >>  $(UDM_TEST_DIR)/search.rej

#
# Test WordFormFactor with a single unique word
#
fail !0 exec $(SEARCHSTD) "test&sy=0&sp=1&s=u&wfw=255"    >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "testing&sy=0&sp=1&s=u&wfw=255" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "test&sy=0&sp=1&s=u&wfw=100"    >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "testing&sy=0&sp=1&s=u&wfw=100" >> $(UDM_TEST_DIR)/search.rej

#
# With multiple unique words
#
fail !0 exec $(SEARCHSTD) "is+test&sy=0&sp=1&s=u&wfw=255"    >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "is+testing&sy=0&sp=1&s=u&wfw=255" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "is+test&sy=0&sp=1&s=u&wfw=100"    >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "is+testing&sy=0&sp=1&s=u&wfw=100" >> $(UDM_TEST_DIR)/search.rej


#
# Prases with multi-words
#
fail !0 exec $(SEARCHSTD) '"red gb"&wfw=0'  >>  $(UDM_TEST_DIR)/search.rej

# FIXME: this doesn't work: "multiword word"
#fail !0 exec $(SEARCHSTD) '"rg blue"'  >>  $(UDM_TEST_DIR)/search.rej


#
# this one should not return results
#
fail !0 exec $(SEARCHSTD) "rb"   >>  $(UDM_TEST_DIR)/search.rej

#
# these ones should not return results because of "oneway" synonym.
#
fail !0 exec $(SEARCHSTD) "azure&wfw=0"   >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "purple&wfw=0"  >>  $(UDM_TEST_DIR)/search.rej

#
# Synonyms of "return" type
#
fail !0 exec $(SEARCHSTD) "scarlet&wfw=0"  >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "crimson&wfw=0"  >>  $(UDM_TEST_DIR)/search.rej

#
# Mode "final"
#
fail !0 exec $(SEARCHSTD) "June&wfw=0">>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "06&wfw=0"  >>  $(UDM_TEST_DIR)/search.rej

# test translit
fail !0 exec $(SEARCHSTD) "%D2%C5%C4&tl=yes&wfw=0" >> $(UDM_TEST_DIR)/search.rej

# test dehyphenation
fail !0 exec $(SEARCHSTD) "peace-making&dh=no&wfw=0" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "peace-making&dh=yes&wfw=0" >> $(UDM_TEST_DIR)/search.rej

# test complex synonyms
fail !0 exec $(SEARCHSTD) "peace+making&csyn=no&wfw=0"  >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "peace+making&csyn=yes&wfw=0" >> $(UDM_TEST_DIR)/search.rej


# test that dash character is not considered as a word by its own
fail !0 exec $(SEARCHSTD) "red+-+green&dh=no" >> $(UDM_TEST_DIR)/search.rej

#
# Bug#746 Stopwords in a long boolean query
#
fail !0 exec $(SEARCHSTD) '"is writing a log file can"' >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "is%26writing%26a%26log%26file%26can" >>  $(UDM_TEST_DIR)/search.rej

#
# Check that AND/NOT operators are automatically inserted before NOT
#
fail !0 exec $(SEARCHSTD) "log %7Efile" >>  $(UDM_TEST_DIR)/search.rej

#
# Check that NOT operator is ignored in a query with a single word
#
fail !0 exec $(SEARCHSTD) "%7Efile" >>  $(UDM_TEST_DIR)/search.rej

#
# Test many words and phrases with ispell
#
fail !0 exec $(SEARCHSTD) 'test+my+phrase&wfw=0'    >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) 'testing+my+phrase&wfw=0' >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) 'my+test+phrase&wfw=0'    >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) 'my+testing+phrase&wfw=0' >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) 'my+phrase+test&wfw=0'    >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) 'my+phrase+testing&wfw=0' >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) 'test_my_phrase&wfw=0'    >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) 'testing_my_phrase&wfw=0' >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) 'my_test_phrase&wfw=0'    >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) 'my_testing_phrase&wfw=0' >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) 'my_phrase_test&wfw=0'    >>  $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) 'my_phrase_testing&wfw=0' >>  $(UDM_TEST_DIR)/search.rej

#
# Test SubstringMatchMinWordLength
#
fail !0 exec $(SEARCHSTD) "colour&sy=0&sp=0&wm=sub&smmwl=3&s=u" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "colour&sy=0&sp=0&wm=sub&smmwl=7&s=u" >> $(UDM_TEST_DIR)/search.rej

#
# Bug#3790 Internal 500 error on spelling words with DGJRSZ flags
#
fail !0 exec $(SEARCHSTD) "travel&sy=0&sp=1" >> $(UDM_TEST_DIR)/search.rej

# Create SQLWordForms data
fail 20 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/wordforms-drop.sql    1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/wordforms-create.sql  1>&2
fail !0 exec $(SEARCHSTD) "color&localconf=search2.conf"  >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "colors&localconf=search2.conf" >> $(UDM_TEST_DIR)/search.rej
# Drop SQLWordForms data
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/wordforms-drop.sql    1>&2


fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search.rej

pass 0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer.conf 1>&2
